JarVisitorFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class JarVisitorFactory

    java.lang.Object
      org.hibernate.ejb.packaging.JarVisitorFactory

    public class JarVisitorFactory

extends Object

Constructor Summary
`JarVisitorFactory()`

Method Summary
`static byte[]` | `getBytesFromInputStream(InputStream inputStream)`
`static URL` | `getJarURLFromURLEntry(URL url, String entry)` Get the JAR URL of the JAR containing the given entry Method used in a non managed environment
`static URL` | `getURLFromPath(String jarPath)` get the URL from a given path string
`static JarVisitor` | `getVisitor(String jarPath, Filter[] filters)` Get a JarVisitor to the jar `jarPath` applying the given filters Method used in a non-managed environment
`static JarVisitor` | `getVisitor(URL jarUrl, Filter[] filters)` Build a JarVisitor on the given JAR URL applying the given filters
`static JarVisitor` | `getVisitor(URL jarUrl, Filter[] filters, String entry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarVisitorFactory

    public JarVisitorFactory()

Method Detail

### getJarURLFromURLEntry

    public static URL getJarURLFromURLEntry(URL url,
                                            String entry)
                                     throws IllegalArgumentException

  Get the JAR URL of the JAR containing the given entry Method used in a non managed environment

  Parameters:
    `url` - URL pointing to the known file in the JAR
    `entry` - file known to be in the JAR
  Returns:
    the JAR URL
  Throws:
    `IllegalArgumentException` - if none URL is found TODO move to a ScannerHelper service?

### getURLFromPath

    public static URL getURLFromPath(String jarPath)

  get the URL from a given path string

  Throws:
    `IllegalArgumentException` - is something goes wrong TODO move to a ScannerHelper service?

### getVisitor

    public static JarVisitor getVisitor(String jarPath,
                                        Filter[] filters)
                                 throws IllegalArgumentException

  Get a JarVisitor to the jar `jarPath` applying the given filters Method used in a non-managed environment

  Throws:
    `IllegalArgumentException` - if the jarPath is incorrect

### getVisitor

    public static JarVisitor getVisitor(URL jarUrl,
                                        Filter[] filters)
                                 throws IllegalArgumentException

  Build a JarVisitor on the given JAR URL applying the given filters

  Throws:
    `IllegalArgumentException` - if the URL is malformed

### getVisitor

    public static JarVisitor getVisitor(URL jarUrl,
                                        Filter[] filters,
                                        String entry)
                                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getBytesFromInputStream

    public static byte[] getBytesFromInputStream(InputStream inputStream)
                                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.